main{
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: black;
}

.img_slide{
    height: 400px;
}

.slider {

    width: 100%;
    height: 400px;
    border-radius: 10px;
    overflow: hidden;
}

.slides {

     /* height: auto; */
    height: 500px;

     width: 100%;
     display: flex;
}

.slides input {
    display: none;
}

.slide {
    width: 100%;
    transition: 2s;
}

.slide img {

    width: 1350px;
    height: 650px;

}

.navigation-manual {
    position: absolute;
    margin-top: 350px;
    display: flex;
    right: 170px;
    width: 800px;
    align-items: center;
    justify-content: center;
}

.manual-btn {
    border: 2px solid #40d3dc;
    padding: 5px;
    border-radius: 10px;
    cursor: pointer;
    transition: 1s;
}

.manual-btn:not(:last-child) {
    margin-right: 40px;
}

.manual-btn:hover {
    background: #40d3dc;
}

/* This helps in to check when we click particular how much it will move */
#radio1:checked~.first {
    margin-left: 0;
}

#radio2:checked~.first {
    margin-left: -100%;
}

#radio3:checked~.first {
    margin-left: -200%;
}

#radio4:checked~.first {
    margin-left: -300%;
}
#radio5:checked~.first {
    margin-left: -400%;
}
/* auto navigation */

.navigation-auto{
    position: absolute;
    margin-top: 350px;
    display: flex;
    right: 170px;
    width: 800px;
    align-items: center;
    justify-content: center;
}
.navigation-auto div{
    border-radius: 10px;
    border: 2px solid #40d3dc;
    padding: 5px;
    cursor: pointer;
    transition: 1s;
}

.navigation-auto div:not(:last-child){
    margin-right: 40px;
}

#radio1:checked~.navigation-auto .auto-btn1 {
    background-color: #40d3dc;
}

#radio2:checked~.navigation-auto .auto-btn2 {
    background-color: #40d3dc;
}

#radio3:checked~.navigation-auto .auto-btn3 {
    background-color: #40d3dc;
}

#radio4:checked~.navigation-auto .auto-btn4 {
    background-color: #40d3dc;
}
#radio5:checked~.navigation-auto .auto-btn5 {
    background-color: #40d3dc;
}




